INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (1, 'SO_accession', '', 'Sequence Ontology accession');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (2, 'SO_term', '', 'Sequence Ontology term');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (3, 'display_term', '', 'Ensembl display term');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (4, 'NCBI_term', '', 'NCBI term');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (5, 'feature_SO_term', '', 'Sequence Ontology term for the associated feature');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (6, 'rank', '', 'Relative severity of this variation consequence');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (7, 'polyphen_prediction', '', 'PolyPhen-2 prediction');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (8, 'sift_prediction', '', 'SIFT prediction');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (9, 'short_name', 'Short name', 'A shorter name for an instance, e.g. a VariationSet');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (10, 'dbsnp_clin_sig', 'dbSNP/ClinVar clinical significance', 'The clinical significance of a variant as reported by ClinVar and dbSNP');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (11, 'dgva_clin_sig', 'DGVa clinical significance', 'The clinical significance of a structural variant as reported by DGVa');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (12, 'prot_func_analysis', 'Protein function analysis ', 'The program used to make protein function predictions');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (13, 'associated_gene', 'Associated gene', 'ID of gene(s) linked by phenotype association');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (14, 'risk_allele', 'Risk allele', 'Risk allele in phenotype association');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (15, 'p_value', 'P-value', 'P-value denoting significance of an observed phenotype annotation');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (16, 'variation_names', 'Variation names', 'Variant ID(s) linked with a phenotype association');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (17, 'sample_id', 'Sample ID', 'Sample ID for source of phenotype association');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (18, 'strain_id', 'Strain ID', 'Strain ID for source of phenotype association');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (19, 'lod_score', 'LOD score', 'Log Of Odds score');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (20, 'variance', 'Variance', 'Variance statistic');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (21, 'inheritance_type', 'Inheritance type', 'Inheritance type of a trait');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (22, 'external_id', 'External ID', 'External identifier for an entity');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (23, 'odds_ratio', 'Odds ratio', 'Odds ratio used to denote significance of an observed phenotype annotation');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (24, 'beta_coef', 'Beta coefficient', 'Beta coefficient (or standardized coefficient) used to denote significance of an observed phenotype annotation');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (25, 'allele_symbol', 'Allele symbol', 'Allele symbol linked with phenotype association');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (26, 'allele_accession_id', 'Allele accession ID', 'Allele accession ID linked with phenotype association');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (27, 'zygosity', 'Zygosity', 'Zygosity linked with phenotype association');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (28, 'pipeline_name', 'Pipeline name', 'Pipeline name in mouse phenotype project');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (29, 'procedure_name', 'Procedure name', 'Procedure name in mouse phenotype project');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (30, 'project_fullname', 'Project fullname', 'Project fullname in mouse phenotype project');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (31, 'project_name', 'Project name', 'Project name in mouse phenotype project');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (32, 'parameter_name', 'Parameter name', 'Parameter name in mouse phenotype project');
INSERT IGNORE INTO attrib_type (attrib_type_id, code, name, description) VALUES (33, 'marker_accession_id', 'Marker accession ID', 'Marker ID linked with phenotype association');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (2, 2, 'SNV');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (1, 1, 'SO:0001483');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (3, 3, 'SNP');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (1, 2);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (1, 1);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (1, 3);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (5, 2, 'substitution');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (4, 1, 'SO:1000002');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (2, 5);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (2, 4);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (7, 2, 'copy_number_variation');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (6, 1, 'SO:0001019');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (8, 3, 'CNV');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (3, 7);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (3, 6);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (3, 8);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (10, 2, 'insertion');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (9, 1, 'SO:0000667');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (4, 10);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (4, 9);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (12, 2, 'deletion');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (11, 1, 'SO:0000159');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (5, 12);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (5, 11);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (14, 2, 'indel');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (13, 1, 'SO:1000032');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (6, 14);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (6, 13);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (16, 2, 'tandem_repeat');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (15, 1, 'SO:0000705');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (7, 16);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (7, 15);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (18, 2, 'sequence_alteration');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (17, 1, 'SO:0001059');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (8, 18);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (8, 17);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (111, 2, 'structural_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (112, 1, 'SO:0001537');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (113, 3, 'SV');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (45, 111);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (45, 112);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (45, 113);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (114, 2, 'probe');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (115, 1, 'SO:0000051');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (116, 3, 'CNV_PROBE');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (46, 114);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (46, 115);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (46, 116);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (200, 2, 'copy_number_gain');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (201, 1, 'SO:0001742');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (202, 3, 'Gain');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (49, 200);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (49, 201);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (49, 202);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (203, 2, 'copy_number_loss');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (204, 1, 'SO:0001743');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (205, 3, 'Loss');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (50, 203);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (50, 204);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (50, 205);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (206, 2, 'inversion');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (207, 1, 'SO:1000036');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (51, 206);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (51, 207);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (208, 2, 'complex_structural_alteration');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (209, 1, 'SO:0001784');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (210, 3, 'Complex');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (52, 208);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (52, 209);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (52, 210);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (211, 2, 'tandem_duplication');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (212, 1, 'SO:1000173');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (213, 3, 'Tandem duplication');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (53, 211);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (53, 212);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (53, 213);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (242, 2, 'mobile_element_insertion');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (243, 1, 'SO:0001837');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (244, 3, 'Mobile element insertion');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (54, 242);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (54, 243);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (54, 244);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (286, 2, 'interchromosomal_breakpoint');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (287, 1, 'SO:0001873');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (288, 3, 'Interchromosomal breakpoint');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (87, 286);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (87, 287);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (87, 288);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (289, 2, 'intrachromosomal_breakpoint');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (290, 1, 'SO:0001874');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (291, 3, 'Intrachromosomal breakpoint');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (88, 289);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (88, 290);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (88, 291);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (292, 2, 'translocation');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (293, 1, 'SO:0000199');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (89, 292);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (89, 293);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (253, 2, 'duplication');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (254, 1, 'SO:1000035');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (331, 3, 'Duplication');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (123, 253);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (123, 254);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (123, 331);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (20, 2, 'intergenic_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (294, 6, '38');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (19, 1, 'SO:0001628');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (21, 3, 'INTERGENIC');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (90, 20);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (90, 294);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (90, 19);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (90, 21);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (118, 5, 'transcript');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (295, 1, 'SO:0001631');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (296, 2, 'upstream_gene_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (266, 6, '24');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (24, 3, 'UPSTREAM');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (91, 118);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (91, 295);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (91, 296);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (91, 266);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (91, 24);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (297, 1, 'SO:0001632');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (298, 2, 'downstream_gene_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (265, 6, '25');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (27, 3, 'DOWNSTREAM');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (92, 118);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (92, 297);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (92, 298);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (92, 265);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (92, 27);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (125, 4, 'splice-5');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (126, 5, 'primary_transcript');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (32, 1, 'SO:0001575');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (33, 2, 'splice_donor_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (145, 6, '3');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (34, 3, 'ESSENTIAL_SPLICE_SITE');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (93, 125);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (93, 126);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (93, 32);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (93, 33);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (93, 145);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (93, 34);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (128, 4, 'splice-3');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (129, 1, 'SO:0001574');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (36, 2, 'splice_acceptor_variant');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (94, 128);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (94, 126);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (94, 129);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (94, 36);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (94, 145);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (94, 34);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (37, 1, 'SO:0001630');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (38, 2, 'splice_region_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (135, 6, '13');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (39, 3, 'SPLICE_SITE');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (95, 126);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (95, 37);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (95, 38);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (95, 135);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (95, 39);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (131, 4, 'intron');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (40, 1, 'SO:0001627');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (41, 2, 'intron_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (120, 6, '21');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (42, 3, 'INTRONIC');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (124, 131);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (124, 126);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (124, 40);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (124, 41);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (124, 120);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (124, 42);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (133, 4, 'untranslated_5');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (134, 5, 'mRNA');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (43, 1, 'SO:0001623');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (44, 2, '5_prime_UTR_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (122, 6, '18');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (45, 3, '5PRIME_UTR');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (97, 133);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (97, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (97, 43);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (97, 44);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (97, 122);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (97, 45);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (136, 4, 'untranslated_3');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (46, 1, 'SO:0001624');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (47, 2, '3_prime_UTR_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (124, 6, '19');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (48, 3, '3PRIME_UTR');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (98, 136);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (98, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (98, 46);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (98, 47);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (98, 124);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (98, 48);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (139, 4, 'cds-synon');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (299, 1, 'SO:0001819');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (300, 2, 'synonymous_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (132, 6, '15');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (54, 3, 'SYNONYMOUS_CODING');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (99, 139);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (99, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (99, 299);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (99, 300);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (99, 132);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (99, 54);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (141, 4, 'missense');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (55, 1, 'SO:0001583');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (301, 2, 'missense_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (153, 6, '12');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (57, 3, 'NON_SYNONYMOUS_CODING');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (100, 141);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (100, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (100, 55);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (100, 301);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (100, 153);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (100, 57);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (302, 1, 'SO:0001821');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (303, 2, 'inframe_insertion');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (140, 6, '10');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (101, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (101, 302);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (101, 303);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (101, 140);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (101, 57);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (304, 1, 'SO:0001822');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (305, 2, 'inframe_deletion');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (154, 6, '11');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (102, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (102, 304);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (102, 305);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (102, 154);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (102, 57);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (144, 4, 'nonsense');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (62, 1, 'SO:0001587');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (63, 2, 'stop_gained');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (146, 6, '4');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (64, 3, 'STOP_GAINED');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (103, 144);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (103, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (103, 62);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (103, 63);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (103, 146);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (103, 64);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (65, 1, 'SO:0001578');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (66, 2, 'stop_lost');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (143, 6, '6');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (67, 3, 'STOP_LOST');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (104, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (104, 65);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (104, 66);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (104, 143);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (104, 67);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (68, 1, 'SO:0001567');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (69, 2, 'stop_retained_variant');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (105, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (105, 68);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (105, 69);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (105, 132);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (105, 54);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (70, 1, 'SO:0001582');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (306, 2, 'initiator_codon_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (142, 6, '7');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (106, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (106, 70);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (106, 306);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (106, 142);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (106, 57);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (147, 4, 'frameshift');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (72, 1, 'SO:0001589');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (73, 2, 'frameshift_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (138, 6, '5');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (74, 3, 'FRAMESHIFT_CODING');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (79, 147);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (79, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (79, 72);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (79, 73);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (79, 138);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (79, 74);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (75, 1, 'SO:0001626');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (76, 2, 'incomplete_terminal_codon_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (137, 6, '14');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (77, 3, 'PARTIAL_CODON');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (107, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (107, 75);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (107, 76);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (107, 137);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (107, 77);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (78, 1, 'SO:0001621');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (79, 2, 'NMD_transcript_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (262, 6, '22');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (80, 3, 'NMD_TRANSCRIPT');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (125, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (125, 78);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (125, 79);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (125, 262);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (125, 80);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (150, 5, 'ncRNA');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (81, 1, 'SO:0001619');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (82, 2, 'nc_transcript_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (263, 6, '23');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (83, 3, 'WITHIN_NON_CODING_GENE');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (109, 150);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (109, 81);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (109, 82);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (109, 263);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (109, 83);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (307, 1, 'SO:0001792');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (308, 2, 'non_coding_exon_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (119, 6, '20');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (126, 150);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (126, 307);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (126, 308);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (126, 119);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (126, 83);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (152, 5, 'miRNA');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (84, 1, 'SO:0001620');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (85, 2, 'mature_miRNA_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (151, 6, '17');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (86, 3, 'WITHIN_MATURE_miRNA');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (111, 152);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (111, 84);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (111, 85);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (111, 151);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (111, 86);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (87, 1, 'SO:0001580');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (88, 2, 'coding_sequence_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (149, 6, '16');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (89, 3, 'CODING_UNKNOWN');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (112, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (112, 87);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (112, 88);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (112, 149);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (112, 89);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (155, 5, 'regulatory_region');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (90, 1, 'SO:0001566');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (91, 2, 'regulatory_region_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (309, 6, '36');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (92, 3, 'REGULATORY_REGION');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (113, 155);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (113, 90);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (113, 91);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (113, 309);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (113, 92);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (157, 5, 'TF_binding_site');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (158, 1, 'SO:0001782');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (159, 2, 'TF_binding_site_variant');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (310, 6, '30');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (114, 157);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (114, 158);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (114, 159);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (114, 310);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (114, 92);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (311, 1, 'SO:0001893');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (312, 2, 'transcript_ablation');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (127, 6, '1');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (115, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (115, 311);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (115, 312);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (115, 127);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (313, 1, 'SO:0001889');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (314, 2, 'transcript_amplification');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (130, 6, '8');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (116, 134);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (116, 313);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (116, 314);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (116, 130);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (315, 1, 'SO:0001895');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (316, 2, 'TFBS_ablation');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (261, 6, '26');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (117, 157);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (117, 315);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (117, 316);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (117, 261);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (317, 1, 'SO:0001892');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (318, 2, 'TFBS_amplification');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (319, 6, '28');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (118, 157);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (118, 317);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (118, 318);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (118, 319);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (320, 1, 'SO:0001894');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (321, 2, 'regulatory_region_ablation');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (322, 6, '31');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (119, 157);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (119, 320);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (119, 321);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (119, 322);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (323, 1, 'SO:0001891');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (324, 2, 'regulatory_region_amplification');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (325, 6, '33');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (120, 157);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (120, 323);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (120, 324);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (120, 325);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (346, 5, 'sequence_feature');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (326, 1, 'SO:0001907');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (327, 2, 'feature_elongation');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (121, 346);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (121, 326);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (121, 327);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (121, 309);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (328, 1, 'SO:0001906');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (329, 2, 'feature_truncation');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (330, 6, '37');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (122, 346);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (122, 328);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (122, 329);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (122, 330);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (98, 2, 'mRNA');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (97, 1, 'SO:0000234');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (38, 98);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (38, 97);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (100, 2, 'transcript');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (99, 1, 'SO:0000673');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (39, 100);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (39, 99);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (102, 2, 'primary_transcript');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (101, 1, 'SO:0000185');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (40, 102);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (40, 101);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (104, 2, 'ncRNA');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (103, 1, 'SO:0000655');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (41, 104);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (41, 103);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (106, 2, 'miRNA');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (105, 1, 'SO:0000276');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (42, 106);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (42, 105);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (108, 2, 'regulatory_region');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (107, 1, 'SO:0005836');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (43, 108);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (43, 107);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (110, 2, 'binding_site');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (109, 1, 'SO:0000409');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (44, 110);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (44, 109);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (43, 108);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (43, 107);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (44, 110);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (44, 109);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (43, 108);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (43, 107);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (255, 2, 'sequence_feature');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (256, 1, 'SO:0000110');
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (60, 255);
INSERT IGNORE INTO attrib_set (attrib_set_id, attrib_id) VALUES (60, 256);
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (267, 12, 'sift');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (268, 12, 'polyphen_humvar');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (269, 12, 'polyphen_humdiv');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (215, 10, 'unknown');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (216, 10, 'untested');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (217, 10, 'non-pathogenic');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (218, 10, 'probable-non-pathogenic');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (219, 10, 'probable-pathogenic');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (220, 10, 'pathogenic');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (221, 10, 'drug-response');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (222, 10, 'histocompatibility');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (223, 10, 'other');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (161, 9, '1kg_hct');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (162, 9, '1kg_hct_ceu');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (163, 9, '1kg_hct_yri');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (164, 9, '1kg_hce');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (165, 9, '1kg_hce_ceu');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (166, 9, '1kg_hce_chb');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (167, 9, '1kg_hce_chd');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (168, 9, '1kg_hce_jpt');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (169, 9, '1kg_hce_lwk');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (170, 9, '1kg_hce_tsi');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (171, 9, '1kg_hce_yri');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (172, 9, '1kg_lc');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (173, 9, '1kg_lc_ceu');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (174, 9, '1kg_lc_chb_jpt');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (175, 9, '1kg_lc_yri');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (347, 9, '1kg_hq');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (176, 9, 'hapmap');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (276, 9, '1kg');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (277, 9, '1kg_afr');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (278, 9, '1kg_amr');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (279, 9, '1kg_asn');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (280, 9, '1kg_eur');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (281, 9, '1kg_com');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (282, 9, '1kg_afr_com');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (283, 9, '1kg_amr_com');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (284, 9, '1kg_asn_com');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (285, 9, '1kg_eur_com');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (177, 9, 'ind_venter');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (178, 9, 'ind_watson');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (230, 9, 'ind_gill');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (231, 9, 'ind_ak1');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (232, 9, 'ind_irish');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (233, 9, 'ind_angrist');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (234, 9, 'ind_gates_jr');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (235, 9, 'ind_gates_sr');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (236, 9, 'ind_kriek');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (237, 9, 'ind_quake');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (238, 9, 'ind_saqqaq');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (239, 9, 'ind_saqqaq_hc');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (240, 9, 'ind_sjk');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (241, 9, 'ind_yh');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (179, 9, 'fail_all');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (180, 9, 'fail_nonref');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (181, 9, 'fail_ambig');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (182, 9, 'fail_gt_fq');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (183, 9, 'fail_incons_map');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (184, 9, 'fail_mult_map');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (185, 9, 'fail_no_alleles');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (186, 9, 'fail_no_gt');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (187, 9, 'fail_no_map');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (188, 9, 'fail_no_seq');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (189, 9, 'fail_non_nt');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (190, 9, 'fail_mult_alleles');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (214, 9, 'fail_dbsnp_suspect');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (191, 9, 'ph_hgmd_pub');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (192, 9, 'ph_johnson_et_al');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (193, 9, 'ph_nhgri');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (194, 9, 'ph_omim');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (195, 9, 'ph_variants');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (196, 9, 'ph_uniprot');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (197, 9, 'ph_cosmic');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (198, 9, 'ph_ega');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (199, 9, 'precious');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (257, 9, 'hapmap_ceu');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (258, 9, 'hapmap_hcb');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (259, 9, 'hapmap_jpt');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (260, 9, 'hapmap_yri');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (332, 9, 'Affy_500K');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (333, 9, 'Affy_SNP6');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (337, 9, 'Cardio-Metabo_Chip');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (338, 9, 'HumanOmni1-Quad');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (335, 9, 'Illumina_1M-duo');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (334, 9, 'Illumina_660Q');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (342, 9, 'Human610_Quad');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (343, 9, 'HumanHap550');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (340, 9, 'HumanHap650Y');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (341, 9, 'HumanOmni2.5');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (245, 9, 'PorcineSNP60');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (344, 9, 'esp_6500');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (345, 9, 'clin_assoc');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (270, 8, 'tolerated');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (271, 8, 'deleterious');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (272, 7, 'probably damaging');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (273, 7, 'possibly damaging');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (274, 7, 'benign');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (275, 7, 'unknown');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (224, 11, 'Not tested');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (225, 11, 'Benign');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (226, 11, 'Pathogenic');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (227, 11, 'Uncertain Significance');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (228, 11, 'Uncertain Significance: likely benign');
INSERT IGNORE INTO attrib (attrib_id, attrib_type_id, value) VALUES (229, 11, 'Uncertain Significance: likely pathogenic');

